package com.example.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


@Data
public class OmsOrder implements Serializable {

    //主键
    private String id;

    //订单id
    private String orderId;

    //商品描述
    private String productName;

    //商品ID
    private String productId;

    //支付金额
    private BigDecimal payAmount;

    //总金额
    private BigDecimal totalAmount;

    //优惠金额
    private BigDecimal discountAmount;

    //支付状态
    private Integer status;

    //订单创建时间
    private Date createDate;

    //创建人ID
    private Long userId;




}
