package com.example.controller;

import com.example.utils.EncryptUtil;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/Des3")
public class Des3Controller {
    EncryptUtil encryptUtil = EncryptUtil.getInstance();
    //DES加密
    @GetMapping(value = "DESencode")
    public String DESencode( String data, String key) throws Exception {
        return encryptUtil.DESencode(data, key);
    }

    //DES解密
    @GetMapping(value = "DESdecode")
    public String DESdecode( String data, String key) throws Exception {

        return encryptUtil.DESdecode(data, key);
    }

    //AESencode加密
    @GetMapping(value = "AESencode")
    public String AESencode( String data, String key) throws Exception {
        return encryptUtil.AESencode(data, key);
    }

    //AESencode解密
    @GetMapping(value = "AESdecode")
    public String AESdecode( String data, String key) throws Exception {
        return encryptUtil.AESdecode(data, key);
    }

    //XORencode加密
    @GetMapping(value = "XORencode")
    public String XORencode( String data, String key) throws Exception {
        return encryptUtil.XORencode(data, key);
    }

    //XORdecode解密
    @GetMapping(value = "XORdecode")
    public String XORdecode( String data, String key) throws Exception {
        return encryptUtil.XORdecode(data, key);
    }

    //Base64Encode加密
    @GetMapping(value = "Base64Encode")
    public String Base64Encode( String data, String key) throws Exception {
        return encryptUtil.Base64Encode(data);
    }

    //Base64Decode解密
    @GetMapping(value = "Base64Decode")
    public String Base64Decode( String data) throws Exception {
        return encryptUtil.Base64Decode(data);
    }
}
